AnsweredAssumed Answered

Hide View Type of 3D Sketch and Bounding Box not working

Question asked by Mark Bradford on Dec 19, 2019
Latest reply on Jan 29, 2020 by Mark Bradford

I believe I have captured all of the available hide/show view types.  It works fine, but for some reason, the sketches, and the bounding box will not hide.  Can someone please take a look and see if you can see what I am missing?

 

Thanks,

Mark

 

 

Sub main()

 

Set swApp = Application.SldWorks
Set swDoc = swApp.ActiveDoc

 

BoolStatus = swDoc.SetUserPreferenceToggle(swUserPreferenceToggle_e.swDisplayPlanes, False)
BoolStatus = swDoc.SetUserPreferenceToggle(swUserPreferenceToggle_e.swDisplayTemporaryAxes, False)
BoolStatus = swDoc.SetUserPreferenceToggle(swUserPreferenceToggle_e.swDisplayAxes, False)
BoolStatus = swDoc.SetUserPreferenceToggle(swUserPreferenceToggle_e.swDisplayCoordSystems, False)
BoolStatus = swDoc.SetUserPreferenceToggle(swUserPreferenceToggle_e.swDisplayReferencePoints2, False)
BoolStatus = swDoc.SetUserPreferenceToggle(swUserPreferenceToggle_e.swDisplayDatumCoordSystems, False)
BoolStatus = swDoc.SetUserPreferenceToggle(swUserPreferenceToggle_e.swDisplayOrigins, False)
BoolStatus = swDoc.SetUserPreferenceToggle(swUserPreferenceToggle_e.swDisplayCurves, False)
BoolStatus = swDoc.SetUserPreferenceToggle(swUserPreferenceToggle_e.swDisplayPartingLines, False)
BoolStatus = swDoc.SetUserPreferenceToggle(swUserPreferenceToggle_e.swDisplayCompAnnotations, False)
BoolStatus = swDoc.SetUserPreferenceToggle(swUserPreferenceToggle_e.swDisplayAllAnnotations, False)
BoolStatus = swDoc.SetUserPreferenceToggle(swUserPreferenceToggle_e.swHideShowSketchDimensions, False)
BoolStatus = swDoc.SetUserPreferenceToggle(swUserPreferenceToggle_e.swDisplaySketches, False)
BoolStatus = swDoc.SetUserPreferenceToggle(swUserPreferenceToggle_e.swDisplaySketchPlanes, False)
BoolStatus = swDoc.SetUserPreferenceToggle(swUserPreferenceToggle_e.swViewSketchRelations, False)
BoolStatus = swDoc.SetUserPreferenceToggle(swUserPreferenceToggle_e.swGridDisplay, False)
BoolStatus = swDoc.SetUserPreferenceToggle(swUserPreferenceToggle_e.swDisplayLights, False)
BoolStatus = swDoc.SetUserPreferenceToggle(swUserPreferenceToggle_e.swDisplayDecals, False)
BoolStatus = swDoc.SetUserPreferenceToggle(swUserPreferenceToggle_e.swDisplayCameras, False)
BoolStatus = swDoc.SetUserPreferenceToggle(swUserPreferenceToggle_e.swDisplayReferencePoints, False)
BoolStatus = swDoc.SetUserPreferenceToggle(swUserPreferenceToggle_e.swDisplayLiveSections, False)
BoolStatus = swDoc.SetUserPreferenceToggle(swUserPreferenceToggle_e.swShowDimensionNames, False)
BoolStatus = swDoc.SetUserPreferenceToggle(swUserPreferenceToggle_e.swDisplayCenterOfMassSymbol, False)
BoolStatus = swDoc.SetUserPreferenceToggle(swUserPreferenceToggle_e.swDisplayWeldBead, False)
BoolStatus = swDoc.SetUserPreferenceToggle(swUserPreferenceToggle_e.swViewDispGlobalBBox, False

 

End Sub

 

Outcomes